Skip to main content

Update Lease: Buildium

PUThttps://api.propexo.com/v1/leases/buildium/:lease_id
InterfaceMethod
LeasesPUT /leases/:leaseId

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

lease_id stringrequired

The ID of the resource.

Request​

This endpoint expects an object.

    unit_idstringrequired

    The Propexo unique identifier for the unit

    typestringrequired

    The type associated with the lease

    Show 3 enum values
    FixedFixedWithRolloverAtWill
    start_datestringrequired

    The start date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestring

    The end date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    is_eviction_pendingboolean

    Whether the lease has an eviction pending

    Default value: false
    automatically_move_out_residentsboolean

    Whether residents should be set to "past" status automatically at the expiration of the lease

    Default value: false

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    lease_idstringrequired

    The Propexo unique identifier for the lease

    unit_idstringrequired

    The Propexo unique identifier for the unit

    typestringrequired

    The type associated with the lease

    Show 3 enum values
    FixedFixedWithRolloverAtWill
    start_datestringrequired

    The start date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestring

    The end date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    is_eviction_pendingboolean
    Default value: false
    automatically_move_out_residentsboolean
    Default value: false

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/leases/buildium/:lease_id
curl -X PUT https://api.propexo.com/v1/leases/buildium/:lease_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"unit_id": "string",
"type": "Fixed",
"start_date": "2024-07-29T15:51:28.071Z"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"lease_id": "string",
"unit_id": "string",
"type": "Fixed",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"is_eviction_pending": false,
"automatically_move_out_residents": false
}
}